### Method

# WPEWebKit WebView add_frame_displayed_callback

since: 2.24

#### Declaration [src]

    guint
    webkit_web_view_add_frame_displayed_callback (
      WebKitWebView* web_view,
      WebKitFrameDisplayedCallback callback,
      gpointer user_data,
      GDestroyNotify destroy_notify
    )

#### Description [src]

Add a callback to be called when the backend notifies that a frame has been displayed in `web_view`.

Available since: 2.24

#### Parameters

`callback`

  Type: `WebKitFrameDisplayedCallback`

  A `WebKitFrameDisplayedCallback`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_notify`

  Type: `GDestroyNotify`

  Destroy notifier for `user_data`.

  The argument can be `NULL`.

#### Return value

Type: `guint`

An identifier that should be passed to `webkit_web_view_remove_frame_displayed_callback()` to remove the callback.